<?php
    class Campana{
        private $id;
        private $cliente;
        private $nombre;
        public function __construct(?string $id, Cliente $cliente, string $nombre){
            $this->id = $id;
            $this->cliente = $cliente;
            $this->nombre = $nombre;
        }
        public function getId():?string{
            return $this->id;
        }
        public function getCliente():Cliente{
            return $this->cliente;
        }
        public function setCliente(Cliente $cliente):void{
            $this->cliente = $cliente;
        }
        public function getNombre():string{
            return $this->nombre;
        }
        public function setNombre(string $nombre):void{
            $this->nombre = $nombre;
        }
        public function toJSON(){
            $resp = array();
            $resp["id"] = $this->getId();
            $resp["Cliente"] = ($this->getCliente()!=null?$this->getCliente()->toJSON():null);
            $resp["Nombre"] = $this->getNombre();
            return $resp;
        }
    }
?>